MARTe2-core - User story #292

Windows TestFreelnvalidPointer
09.12.2015 15:07 - André Neto

Status: Closed Start date: 09.12.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.10 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Investigate if TestFreelnvalidPointer crashes in Windows.

Source code files modified

Architecture & design review

Date of the review: 09/12/2015

Person who did the review: André Neto

Version of architecture & design document: N/A.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 18/12/2015

Person who did the review: Andre' Neto

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 18/12/2015

Person who did the review: Andre' Neto
Result of coverage tests review: PASS
Result of functional tests review: N/A
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 80c7504d - 17.12.2015 11:59 - André Neto

#292 Changed the test because it was producing a segmentation fault that
it makes a Free with invalid heap.

History

#1-17.12.2015 18:01 - Frank Perez
- Status changed from Code: Impl to Code: Rev

#2 - 17.12.2015 18:02 - Frank Perez

- Assignee deleted (Frank Perez)

#3 - 18.12.2015 07:47 - André Neto

- Assignee set to André Neto

#4 - 18.12.2015 08:14 - André Neto
- Description updated
- Status changed from Code: Rev to Closed

- Assignee deleted (André Neto)

Merged with develop in 5ad4d747ac07a73c4d818887a707278c21184112

#5 - 04.01.2016 11:40 - lvan Herrero

- Description updated

#6 - 04.01.2016 11:51 - Ivan Herrero

- Description updated
